org.modeshape.jcr

## Class Upgrades.ModeShape_4_0_0_Alpha1

- java.lang.Object
- - org.modeshape.jcr.Upgrades.UpgradeOperation
  - - org.modeshape.jcr.Upgrades.ModeShape_4_0_0_Alpha1

- Enclosing class:
    Upgrades

      protected static class Upgrades.ModeShape_4_0_0_Alpha1
      extends Upgrades.UpgradeOperation

  Upgrade operation handling moving to ModeShape 4.0.0.Alpha1. This consists of making sure that the access control metadata information is correctly stored in the repository metadata and that the `ModeShapeLexicon.ACL_COUNT` property correctly reflects this.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static Upgrades.UpgradeOperation` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Upgrades.ModeShape_4_0_0_Alpha1()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Upgrades.Context resources)` Apply this upgrade operation to the supplied running repository.

    - ### Methods inherited from class org.modeshape.jcr.Upgrades.UpgradeOperation

      `getId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          protected static final Upgrades.UpgradeOperation INSTANCE

  - ### Constructor Detail

    - #### Upgrades.ModeShape_4_0_0_Alpha1

          protected Upgrades.ModeShape_4_0_0_Alpha1()

  - ### Method Detail

    - #### apply

          public void apply(Upgrades.Context resources)

      Description copied from class: `Upgrades.UpgradeOperation`
      Apply this upgrade operation to the supplied running repository.
      Specified by:
        `apply` in class `Upgrades.UpgradeOperation`
      Parameters:
        `resources` - the resources for the repository; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.